Runtime

## org.eclipse.gmf.runtime.diagram.ui.printing.render.providers
Class DiagramWithPrintGlobalActionHandler

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler
          org.eclipse.gmf.runtime.diagram.ui.providers.DiagramGlobalActionHandler
              org.eclipse.gmf.runtime.diagram.ui.printing.providers.DiagramWithPrintGlobalActionHandler
                  org.eclipse.gmf.runtime.diagram.ui.printing.render.providers.DiagramWithPrintGlobalActionHandler

All Implemented Interfaces:
  IGlobalActionHandler

public class DiagramWithPrintGlobalActionHandler
extends DiagramWithPrintGlobalActionHandler

A specialized `DiagramWithPrintGlobalActionHandler` that supports printing of images.

Constructor Summary
`DiagramWithPrintGlobalActionHandler()`

Method Summary
`protected void` `doPrint(IGlobalActionContext cntxt)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.printing.providers.DiagramWithPrintGlobalActionHandler
`canHandle, getCommand, getPreferencesHint`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.providers.DiagramGlobalActionHandler
`canCopy, canCut, canPaste, canSave, createPasteViewRequest, getCopyCommand, getCutCommand, getMapMode, getSelectedViews, selectAddedObject`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler
`getLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramWithPrintGlobalActionHandler

    public DiagramWithPrintGlobalActionHandler()

Method Detail

### doPrint

    protected void doPrint(IGlobalActionContext cntxt)

  Overrides:
    `doPrint` in class `DiagramWithPrintGlobalActionHandler`
  Parameters:
    `cntxt` -

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.